%define	desktop_vendor planetccrma

Summary: Recorder for ALSA and Jack
Name: qarecord
Version: 0.0.9b
Release: 4%{?dist}
URL: http://alsamodular.sourceforge.net
Source0: %{name}-%{version}.tar.bz2
Source1: qarecord.png
Source2: qarecord.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel glibc-devel 
BuildRequires: jack-audio-connection-kit-devel
%if 0%{?fedora} > 8
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif

%description
A simple recorder application for ALSA and Jack

%prep
%setup -q

%build
%{__perl} -p -i -e "s,/usr/lib/qt3,${QTDIR},g" make_qarecord
%{__perl} -p -i -e "s,-lqt-mt,-lstdc++ -lqt-mt -lqassistantclient,g" make_qarecord
%{__make} -f make_qarecord

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 qarecord %{buildroot}%{_bindir}

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps

# desktop file categories
BASE="Application AudioVideo Audio "
XTRA="X-Recorders X-Jack Recorder"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE2}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/qarecord
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/*

%changelog
* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add -lstdc++ for fc13/gcc4.4.4

* Tue May 13 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- changed build requirement to qt3 in f9

* Tue Oct  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9b-4
- updated desktop categories

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9b-3
- spec file tweaks, move icon to freedesktop location, add post/postun
  scripts

* Sat May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9b-2
- added Planet CCRMA categories to desktop file, now defaults to jack
- added icon

* Tue Mar 22 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9b-1
- updated to 0.0.9b

* Sun Dec 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Thu May  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires, qt3.3 hack for fc2

* Wed Nov 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9-1
- added alsa patch for new api

* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9-1
- added release tags

* Thu Jul  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.9-1
- initial build
